Bug 1479028 - json parse error: invalid character 'T' after top-level value" during storage migration
json parse error: invalid character 'T' after top-level value" during storage...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Mo
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 14:44 EDT by Justin Pierce
Modified: 2017-09-26 10:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Pierce 2017-08-07 14:44:15 EDT
Description of problem:
Poor error message from timeout(??) during storage migration on large cluster (starter-us-east-1)

Version-Release number of selected component (if applicable):
3.6.173.0.5

How reproducible:
Unknown

Steps to Reproduce:
1. As part of openshift-ansible upgrade: oc adm --config=/etc/origin/master/admin.kubeconfig migrate storage --include=* --confirm


Actual results:
~2 hours after invocation:

fatal: [starter-us-east-1-master-25064]: FAILED! => {
    "changed": true, 
    "cmd": [
        "oc", 
        "adm", 
        "--config=/etc/origin/master/admin.kubeconfig", 
        "migrate", 
        "storage", 
        "--include=*", 
        "--confirm"
    ], 
    "delta": "2:08:48.295018", 
    "end": "2017-08-07 18:12:22.424585", 
    "failed": true, 
    "failed_when_result": true, 
    "invocation": {
        "module_args": {
            "_raw_params": "oc adm --config=/etc/origin/master/admin.kubeconfig migrate storage --include=* --confirm", 
            "_uses_shell": false, 
            "chdir": null, 
            "creates": null, 
            "executable": null, 
            "removes": null, 
            "warn": true
        }, 
        "module_name": "command"
    }, 
    "rc": 1, 
    "start": "2017-08-07 16:03:34.129567", 
    "stderr": "", 
    "stdout": "summary: total=324139 errors=0 ignored=0 unchanged=310538 migrated=13601\nerror: exited without processing all resources: couldn't get version/kind; json parse error: invalid character 'T' after top-level value", 
    "stdout_lines": [
        "summary: total=324139 errors=0 ignored=0 unchanged=310538 migrated=13601", 
        "error: exited without processing all resources: couldn't get version/kind; json parse error: invalid character 'T' after top-level value"
    ], 
    "warnings": []
}



Expected results:
Successful / complete migration.


Additional info:
- The total listed is less than the number of objects actually on the server.
- Cluster is currently using etcdv2.
Comment 1 Michal Fojtik 2017-09-14 07:41:42 EDT
Mo are you looking at this?

Note You need to log in before you can comment on or make changes to this bug.